<?xml version='1.0'?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:saxon="http://saxon.sf.net/">
<xsl:output method="xml" indent="yes"/>

<xsl:param name="path"/>

<xsl:template match="/">
		<xsl:variable name="ns" select="*/namespace::*"/>
	<xsl:variable name="contents"><xsl:copy-of select="."/></xsl:variable>
	<xsl:variable name="cam2cxf" select="document('cam2cxf.xsl')"/>
	<xsl:variable name="out">
		<xsl:for-each select="$cam2cxf/*">
			<xsl:copy>
				<xsl:copy-of select="@*"/>
				<xsl:copy-of select="$ns"/>
				<xsl:copy-of select="*"/>
			</xsl:copy>
		</xsl:for-each>
	</xsl:variable>
	<xsl:variable name="xsl" select="saxon:compile-stylesheet($out)"/>
	<xsl:variable name="param" as="element()*"><filepath><xsl:value-of select="$path"/></filepath></xsl:variable>
	<xsl:copy-of select="saxon:transform($xsl,$contents,$param)"/>
</xsl:template>

</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2007. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\ManageWidget\cam\amendWidgetRequest.cam" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<parameterValue name="path" value="'D:\My Documents\root\ManageWidget\cam'"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->